Lines Matching refs:echo
26 # Check that we have a working $echo.
30 elif test "X$1" = X--fallback-echo; then
33 elif test "X`($echo '\t') 2>/dev/null`" = 'X\t'; then
34 # Yippee, $echo works!
37 # Restart under the correct shell, and then maybe $echo will work.
41 if test "X$1" = X--fallback-echo; then
42 # used as fallback echo
51 progname=`$echo "$0" | sed 's%^.*/%%'`
87 echo "$modename: ltconfig version \`$LTCONFIG_VERSION' does not match $PROGRAM version \`$VERSION'" 1>&2
88 echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
93 echo "$modename: not configured to build any kind of library" 1>&2
94 echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
104 show="$echo"
117 -*=*) optarg=`$echo "X$arg" | $Xsed -e 's/[-_a-zA-Z0-9]*=//'` ;;
144 echo "$PROGRAM (GNU $PACKAGE) $VERSION$TIMESTAMP"
154 echo "$progname: enabling shell trace mode"
163 echo "host: $host"
165 echo "enable shared libraries"
167 echo "disable shared libraries"
170 echo "enable static libraries"
172 echo "disable static libraries"
192 $echo "$modename: unrecognized option \`$arg'" 1>&2
193 $echo "$help" 1>&2
205 $echo "$modename: option \`$prevopt' requires an argument" 1>&2
206 $echo "$help" 1>&2
243 $echo "$modename: warning: cannot infer operation mode from \`$nonopt'" 1>&2
245 $echo "$modename: warning: cannot infer operation mode without MODE-ARGS" 1>&2
254 $echo "$modename: unrecognized option \`-dlopen'" 1>&2
255 $echo "$help" 1>&2
281 $echo "$modename: you cannot specify \`-o' more than once" 1>&2
316 lastarg=`$echo "X$lastarg" | $Xsed -e "$sed_quote_subst"`
340 libobj=`$echo "X$srcfile" | $Xsed -e 's%^.*/%%'`
343 $echo "$modename: you must specify a target with \`-o'" 1>&2
364 libobj=`$echo "X$libobj" | $Xsed -e "s/\.$xform$/.lo/"`
367 *.lo) obj=`$echo "X$libobj" | $Xsed -e "$lo2o"` ;;
369 $echo "$modename: cannot determine name of library object from \`$libobj'" 1>&2
375 $echo "$modename: you must specify a compilation command" 1>&2
376 $echo "$help" 1>&2
393 output_obj=`$echo "X$srcfile" | $Xsed -e 's%^.*/%%' -e 's%\..*$%%'`.${objext}
411 echo "\
425 echo $srcfile > "$lockfile"
441 dir=`$echo "X$libobj" | $Xsed -e 's%/[^/]*$%%'`
447 libobj="$dir/"`$echo "X$libobj" | $Xsed -e 's%^.*/%%'`
479 echo "\
524 xdir=`$echo "X$obj" | $Xsed -e 's%/[^/]*$%%'`
530 baseobj=`$echo "X$obj" | $Xsed -e "s%.*/%%"`
531 libobj=`$echo "X$baseobj" | $Xsed -e "$o2lo"`
567 echo "\
599 $show "echo timestamp > $libobj"
600 $run eval "echo timestamp > \$libobj" || exit $?
825 eval lib_search_path=\`\$echo \"X \${$shlibpath_var}\" \| \$Xsed -e \'s/:/ /g\'\`
865 $echo "$modename: warning: complete static linking is impossible in this configuration" 1>&2
943 $echo "$modename: symbol file \`$arg' does not exist"
964 $echo "$modename: only absolute run-paths are allowed" 1>&2
1003 $echo "$modename: \`-allow-undefined' is deprecated because it is the default" 1>&2
1029 $echo "$modename: not more than one -exported-symbols argument allowed"
1041 dir=`$echo "X$arg" | $Xsed -e 's/^-L//'`
1048 $echo "$modename: warning: cannot determine absolute directory name of \`$dir'" 1>&2
1049 $echo "$modename: passing it literally to the linker, although it might fail" 1>&2
1065 dllsearchdir=`cd "$dir" && pwd || echo "$dir"`
1122 dir=`$echo "X$arg" | $Xsed -e 's/^-R//'`
1127 $echo "$modename: only absolute run-paths are allowed" 1>&2
1161 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
1189 dlprefiles="$dlprefiles "`$echo "X$arg" | $Xsed -e "$lo2o"`
1206 $echo "$modename: \`$arg' is not a valid libtool archive" 1>&2
1228 $echo "$modename: cannot find name of link library for \`$arg'" 1>&2
1233 name=`$echo "X$arg" | $Xsed -e 's%^.*/%%' -e 's/\.la$//' -e 's/^lib//'`
1238 dir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1251 -R*) temp_xrpath=`$echo "X$deplib" | $Xsed -e 's/^-R//'`
1260 temp_dir=`$echo "X$deplib" | $Xsed -e 's/^-L//'`
1328 $echo "$modename: warning: cannot determine absolute directory name of \`$dir'" 1>&2
1329 $echo "$modename: passing it literally to the linker, although it might fail" 1>&2
1366 dllsearchdir=`cd "$dir" && pwd || echo "$dir"`
1427 $echo "$modename: configuration error: unsupported hardcode properties"
1457 $echo "$modename: cannot find static library for \`$arg'" 1>&2
1492 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
1509 $echo "$modename: the \`$prevarg' option requires an argument" 1>&2
1510 $echo "$help" 1>&2
1522 outputname=`$echo "X$output" | $Xsed -e 's%^.*/%%'`
1527 $echo "$modename: you must specify an output file" 1>&2
1528 $echo "$help" 1>&2
1534 $echo "$modename: error: cannot link libtool libraries into archives" 1>&2
1539 $echo "$modename: warning: \`-l' and \`-L' are ignored for archives" 1>&2
1543 $echo "$modename: warning: \`-dlopen' is ignored for archives" 1>&2
1547 $echo "$modename: warning: \`-rpath' is ignored for archives" 1>&2
1551 $echo "$modename: warning: \`-R' is ignored for archives" 1>&2
1555 $echo "$modename: warning: \`-version-info' is ignored for archives" 1>&2
1559 $echo "$modename: warning: \`-release' is ignored for archives" 1>&2
1563 $echo "$modename: warning: \`-export-symbols' is ignored for archives" 1>&2
1575 name=`$echo "X$outputname" | $Xsed -e 's/\.la$//' -e 's/^lib//'`
1580 $echo "$modename: libtool library \`$output' must begin with \`lib'" 1>&2
1581 $echo "$help" 1>&2
1586 name=`$echo "X$outputname" | $Xsed -e 's/\.la$//'`
1589 libname=`$echo "X$outputname" | $Xsed -e 's/\.la$//'`
1594 output_objdir=`$echo "X$output" | $Xsed -e 's%/[^/]*$%%'`
1602 $echo "$modename: cannot build libtool library \`$output' from non-libtool objects:$objs" 2>&1
1608 $echo "$modename: error: cannot link shared libraries into libtool libraries" 1>&2
1613 $echo "$modename: warning: \`-dlopen' is ignored for libtool libraries" 1>&2
1618 $echo "$modename: warning: ignoring multiple \`-rpath's for a libtool library" 1>&2
1634 $echo "$modename: warning: \`-version-info' is ignored for convenience libraries" 1>&2
1638 $echo "$modename: warning: \`-release' is ignored for convenience libraries" 1>&2
1648 $echo "$modename: too many parameters to \`-version-info'" 1>&2
1649 $echo "$help" 1>&2
1661 $echo "$modename: CURRENT \`$current' is not a nonnegative integer" 1>&2
1662 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
1670 $echo "$modename: REVISION \`$revision' is not a nonnegative integer" 1>&2
1671 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
1679 $echo "$modename: AGE \`$age' is not a nonnegative integer" 1>&2
1680 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
1686 $echo "$modename: AGE \`$age' is greater than the current interface number \`$current'" 1>&2
1687 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
1757 $echo "$modename: unknown library version type \`$version_type'" 1>&2
1758 echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
1784 $echo "$modename: warning: undefined symbols not allowed in $host shared libraries" 1>&2
1827 oldobjs="$objs "`$echo "X$libobjs" | $SP2NL | $Xsed -e '/\.'${libext}'$/d' -e "$lo2o" | $NL2SP`
1871 libname=`eval \\$echo \"$libname_spec\"`
1872 deplib_matches=`eval \\$echo \"$library_names_spec\"`
1879 echo
1880 echo "*** Warning: This library needs some functionality provided by $i."
1881 echo "*** I have the capability to make that library automatically link in when"
1882 echo "*** you link to this library. But I can only do this if you have a"
1883 echo "*** shared version of the library, which you do not appear to have."
1901 libname=`eval \\$echo \"$libname_spec\"`
1902 deplib_matches=`eval \\$echo \"$library_names_spec\"`
1909 echo
1910 echo "*** Warning: This library needs some functionality provided by $i."
1911 echo "*** I have the capability to make that library automatically link in when"
1912 echo "*** you link to this library. But I can only do this if you have a"
1913 echo "*** shared version of the library, which you do not appear to have."
1917 echo
1918 echo "*** Warning! Library $i is needed by this library but I was not able to"
1919 echo "*** make it link in! You will probably need to install it or some"
1920 echo "*** library that it depends on before this library will be fully"
1921 echo "*** functional. Installing it before continuing would be even better."
1936 libname=`eval \\$echo \"$libname_spec\"`
1955 *) potlib=`$echo "X$potlib" | $Xsed -e 's,[^/]*$,,'`"$potliblink";;
1969 echo
1970 echo "*** Warning: This library needs some functionality provided by $a_deplib."
1971 echo "*** I have the capability to make that library automatically link in when"
1972 echo "*** you link to this library. But I can only do this if you have a"
1973 echo "*** shared version of the library, which you do not appear to have."
1983 if $echo "X $deplibs" | $Xsed -e 's/ -lc$//' \
1986 echo
1988 echo "*** Warning: inter-library dependencies are not supported in this platform."
1990 echo "*** Warning: inter-library dependencies are not known to be supported."
1992 echo "*** All declared inter-library dependencies are being dropped."
2005 echo
2006 echo "*** Warning: libtool could not satisfy all declared inter-library"
2007 echo "*** dependencies of module $libname. Therefore, libtool will create"
2008 echo "*** a static module, that should work as long as the dlopening"
2009 echo "*** application is linked with the -dlopen flag."
2011 echo
2012 echo "*** However, this would only work if libtool was able to extract symbol"
2013 echo "*** lists from a program, using \`nm' or equivalent, but libtool could"
2014 echo "*** not find such a program. So, this module is probably useless."
2015 echo "*** \`nm' from GNU binutils and a full rebuild may help."
2025 echo "*** The inter-library dependencies that have been dropped here will be"
2026 echo "*** automatically added whenever a program is linked with this library"
2027 echo "*** or is declared to -dlopen it."
2062 xdir=`$echo "X$obj" | $Xsed -e 's%/[^/]*$%%'`
2068 baseobj=`$echo "X$obj" | $Xsed -e 's%^.*/%%'`
2069 oldobj=`$echo "X$baseobj" | $Xsed -e "$lo2o"`
2077 test -z "$pic_flag" && libobjs=`$echo "X$libobjs" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
2103 $run eval '$echo "X$include_expsyms" | $SP2NL >> "$export_symbols"'
2127 xlib=`$echo "X$xlib" | $Xsed -e 's%^.*/%%'`
2183 $echo "$modename: error: cannot link libtool libraries into objects" 1>&2
2188 $echo "$modename: warning: \`-l' and \`-L' are ignored for objects" 1>&2
2192 $echo "$modename: warning: \`-dlopen' is ignored for objects" 1>&2
2196 $echo "$modename: warning: \`-rpath' is ignored for objects" 1>&2
2200 $echo "$modename: warning: \`-R' is ignored for objects" 1>&2
2204 $echo "$modename: warning: \`-version-info' is ignored for objects" 1>&2
2208 $echo "$modename: warning: \`-release' is ignored for objects" 1>&2
2214 $echo "$modename: cannot build library object \`$output' from non-libtool objects" 1>&2
2218 obj=`$echo "X$output" | $Xsed -e "$lo2o"`
2260 xlib=`$echo "X$xlib" | $Xsed -e 's%^.*/%%'`
2280 reload_objs="$objs "`$echo "X$libobjs" | $SP2NL | $Xsed -e '/\.'${libext}$'/d' -e '/\.lib$/d' -e "$lo2o" | $NL2SP`" $reload_conv_objs"
2310 $show "echo timestamp > $libobj"
2311 $run eval "echo timestamp > $libobj" || exit $?
2331 xdir=`$echo "X$libobj" | $Xsed -e 's%/[^/]*$%%'`
2337 baseobj=`$echo "X$libobj" | $Xsed -e 's%^.*/%%'`
2338 oldobj=`$echo "X$baseobj" | $Xsed -e "$lo2o"`
2354 $echo "$modename: warning: \`-version-info' is ignored for programs" 1>&2
2358 $echo "$modename: warning: \`-release' is ignored for programs" 1>&2
2364 $echo "$modename: warning: \`AC_LIBTOOL_DLOPEN' not used. Assuming no dlopen support."
2456 output_objdir=`$echo "X$output" | $Xsed -e 's%/[^/]*$%%'`
2475 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
2476 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
2484 $echo "$modename: not configured to extract global symbols from dlpreopened files" 1>&2
2501 test -z "$run" && $echo > "$output_objdir/$dlsyms" "\
2518 test -z "$run" && $echo ': @PROGRAM@ ' > "$nlist"
2521 progfiles=`$echo "X$objs" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
2551 name=`echo "$arg" | sed -e 's%^.*/%%'`
2552 $run eval 'echo ": $name " >> "$nlist"'
2575 echo '/* NONE */' >> "$output_objdir/$dlsyms"
2578 $echo >> "$output_objdir/$dlsyms" "\
2602 $echo >> "$output_objdir/$dlsyms" "\
2647 compile_command=`$echo "X$compile_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%"`
2648 finalize_command=`$echo "X$finalize_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%"`
2651 $echo "$modename: unknown suffix for \`$dlsyms'" 1>&2
2661 compile_command=`$echo "X$compile_command" | $Xsed -e "s% @SYMFILE@%%"`
2662 finalize_command=`$echo "X$finalize_command" | $Xsed -e "s% @SYMFILE@%%"`
2667 compile_command=`$echo "X$compile_command" | $Xsed -e 's%@OUTPUT@%'"$output"'%g'`
2735 $echo "$modename: warning: this platform does not like uninstalled shared libraries" 1>&2
2736 $echo "$modename: \`$output' will be relinked during installation" 1>&2
2741 relink_command=`$echo "X$compile_var$compile_command$compile_rpath" | $Xsed -e 's%@OUTPUT@%\$progdir/\$file%g'`
2753 link_command=`$echo "X$link_command" | $Xsed -e 's%@OUTPUT@%'"$output_objdir/$outputname"'%g'`
2766 relink_command=`$echo "X$relink_command" | $Xsed -e "$sed_quote_subst"`
2769 # Quote $echo for shipping.
2770 if test "X$echo" = "X$SHELL $0 --fallback-echo"; then
2772 [\\/]* | [A-Za-z]:[\\/]*) qecho="$SHELL $0 --fallback-echo";;
2773 *) qecho="$SHELL `pwd`/$0 --fallback-echo";;
2775 qecho=`$echo "X$qecho" | $Xsed -e "$sed_quote_subst"`
2777 qecho=`$echo "X$echo" | $Xsed -e "$sed_quote_subst"`
2785 *.exe) output=`echo $output|sed 's,.exe$,,'` ;;
2790 $echo > $output "\
2818 # When we are sourced in execute mode, \$file and \$echo are already set.
2820 echo=\"$qecho\"
2822 # Make sure echo works.
2826 elif test \"X\`(\$echo '\t') 2>/dev/null\`\" = 'X\t'; then
2827 # Yippee, \$echo works!
2830 # Restart under the correct shell, and then maybe \$echo will work.
2835 $echo >> $output "\
2838 thisdir=\`\$echo \"X\$file\" | \$Xsed -e 's%/[^/]*$%%'\`
2844 destdir=\`\$echo \"X\$file\" | \$Xsed -e 's%/[^/]*\$%%'\`
2854 file=\`\$echo \"X\$file\" | \$Xsed -e 's%^.*/%%'\`
2864 echo >> $output "\
2880 echo >> $output "\
2897 echo >> $output "\
2903 echo >> $output "\
2909 $echo >> $output "\
2915 $shlibpath_var=\`\$echo \"X\$$shlibpath_var\" | \$Xsed -e 's/::*\$//'\`
2923 $echo >> $output "\
2929 $echo >> $output "\
2937 $echo >> $output "\
2944 $echo >> $output "\
2950 $echo >> $output "\
2959 $echo >> $output "\
2960 \$echo \"\$0: cannot exec \$program \${1+\"\$@\"}\"
2965 \$echo \"\$0: error: \$progdir/\$program does not exist\" 1>&2
2966 \$echo \"This script is just a wrapper for \$program.\" 1>&2
2967 echo \"See the $PACKAGE documentation for more information.\" 1>&2
2990 oldobjs="$objs "`$echo "X$libobjs_save" | $SP2NL | $Xsed -e '/\.'${libext}'$/d' -e '/\.lib$/d' -e "$lo2o" | $NL2SP`
3014 xlib=`$echo "X$xlib" | $Xsed -e 's%^.*/%%'`
3041 xdir=`$echo "X$oldobj" | $Xsed -e 's%/[^/]*$%%'`
3047 baseobj=`$echo "X$oldobj" | $Xsed -e 's%^.*/%%'`
3048 obj=`$echo "X$baseobj" | $Xsed -e "$o2lo"`
3095 $echo > $output "\
3145 arg=`$echo "X$nonopt" | $Xsed -e "$sed_quote_subst"`
3161 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
3209 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
3219 $echo "$modename: you must specify an install program" 1>&2
3220 $echo "$help" 1>&2
3225 $echo "$modename: the \`$prev' option requires an argument" 1>&2
3226 $echo "$help" 1>&2
3232 $echo "$modename: no file or destination specified" 1>&2
3234 $echo "$modename: you must specify a destination" 1>&2
3236 $echo "$help" 1>&2
3241 dest=`$echo "X$dest" | $Xsed -e 's%/$%%'`
3249 destdir=`$echo "X$dest" | $Xsed -e 's%/[^/]*$%%'`
3251 destname=`$echo "X$dest" | $Xsed -e 's%^.*/%%'`
3256 $echo "$modename: \`$dest' is not a directory" 1>&2
3257 $echo "$help" 1>&2
3268 $echo "$modename: \`$destdir' must be an absolute directory name" 1>&2
3269 $echo "$help" 1>&2
3297 $echo "$modename: \`$file' is not a valid libtool archive" 1>&2
3298 $echo "$help" 1>&2
3324 dir="`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`/"
3363 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
3379 destfile=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
3386 staticdest=`$echo "X$destfile" | $Xsed -e "$lo2o"`
3393 $echo "$modename: cannot copy a libtool object to \`$destfile'" 1>&2
3394 $echo "$help" 1>&2
3408 staticobj=`$echo "X$file" | $Xsed -e "$lo2o"`
3421 destfile=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
3438 $echo "$modename: invalid libtool wrapper script \`$file'" 1>&2
3453 libfile="$libdir/`$echo "X$lib" | $Xsed -e 's%^.*/%%g'`"
3455 $echo "$modename: warning: \`$lib' has not been installed in \`$libdir'" 1>&2
3468 $echo "$modename: error: cannot create temporary directory \`$tmpdir'" 1>&2
3473 relink_command=`$echo "X$relink_command" | $Xsed -e 's%@OUTPUT@%'"$outputname"'%g'`
3478 $echo "$modename: error: relink \`$file' with the above command before installing it" 1>&2
3484 $echo "$modename: warning: cannot relink \`$file'" 1>&2
3488 file=`$echo "X$file" | $Xsed -e "s%\([^/]*\)$%$objdir/\1%"`
3500 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
3520 $echo "$modename: warning: remember to run \`$progname --finish$future_libdirs'" 1>&2
3570 echo "----------------------------------------------------------------------"
3571 echo "Libraries have been installed in:"
3573 echo " $libdir"
3575 echo
3576 echo "If you ever happen to want to link against installed libraries"
3577 echo "in a given directory, LIBDIR, you must either use libtool, and"
3578 echo "specify the full pathname of the library, or use \`-LLIBDIR'"
3579 echo "flag during linking and do at least one of the following:"
3581 echo " - add LIBDIR to the \`$shlibpath_var' environment variable"
3582 echo " during execution"
3585 echo " - add LIBDIR to the \`$runpath_var' environment variable"
3586 echo " during linking"
3592 echo " - use the \`$flag' linker flag"
3595 echo " - have your system administrator run these commands:$admincmds"
3598 echo " - have your system administrator add LIBDIR to \`/etc/ld.so.conf'"
3600 echo
3601 echo "See any operating system documentation about shared libraries for"
3602 echo "more information, such as the ld(1) and ld.so(8) manual pages."
3603 echo "----------------------------------------------------------------------"
3614 $echo "$modename: you must specify a COMMAND" 1>&2
3615 $echo "$help"
3622 $echo "$modename: \`$file' is not a file" 1>&2
3623 $echo "$help" 1>&2
3633 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
3634 $echo "$help" 1>&2
3651 test -n "$library_names" && $echo "$modename: warning: \`$file' was not linked with \`-export-dynamic'"
3655 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
3661 $echo "$modename: cannot find \`$dlname' in \`$dir' or \`$dir/$objdir'" 1>&2
3668 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
3673 $echo "$modename: warning \`-dlopen' is ignored for non-libtool libraries and objects" 1>&2
3715 file=`$echo "X$file" | $Xsed -e "$sed_quote_subst"`
3736 $echo "$modename: cannot exec \$cmd$args"
3741 eval "\$echo \"\$shlibpath_var=\$$shlibpath_var\""
3742 $echo "export $shlibpath_var"
3744 $echo "$cmd$args"
3764 $echo "$modename: you must specify an RM program" 1>&2
3765 $echo "$help" 1>&2
3770 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
3772 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
3821 oldobj=`$echo "X$name" | $Xsed -e "$lo2o"`
3838 $echo "$modename: you must specify a MODE" 1>&2
3839 $echo "$generic_help" 1>&2
3844 $echo "$modename: invalid operation mode \`$mode'" 1>&2
3845 $echo "$generic_help" 1>&2
3851 "") $echo \
3882 $echo \
3901 $echo \
3921 $echo \
3933 $echo \
3946 $echo \
3996 $echo \
4010 $echo "$modename: invalid operation mode \`$mode'" 1>&2
4011 $echo "$help" 1>&2
4016 echo
4017 $echo "Try \`$modename --help' for more information about other modes."